!
! $Header$
!
      IF (ok_mensuel) THEN
c
         zsto = dtime
         zout = dtime * ecrit_mth
c
         idayref = day_ref
         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
c
cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
cym         DO i = 1, iim
cym            zx_lon(i,1) = rlon(i+1)
cym            zx_lon(i,jjmp1) = rlon(i+1)
cym         ENDDO
         DO ll=1,klev
            znivsig(ll)=float(ll)
         ENDDO
cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
cym         CALL histbeg("histNMC.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
cym     .                 nhori, nid_nmc)

         CALL histbeg_phy("histNMC.nc",itau_phy, zjulian, dtime, 
     .                 nhori, nid_nmc)

         write(*,*)'Mensuel NMC ', itau_phy, zjulian
         CALL histvert(nid_nmc, "presnivs", "Vertical levels", "mb",
     .                 klev, presnivs, nvert)
c        call histvert(nid_nmc, 'sig_s', 'Niveaux sigma','-',
c    .              klev, znivsig, nvert)
c
c Champs 2D:

c Champs interpolles sur des niveaux de pression du NMC
c IMIMIM 110304 BEG
c
         DO k=1, nlevSTD
c
         bb=clevSTD(k)
c
         IF(k.GE.2) THEN
          aa=clevSTD(k)
          bb=aa(1:lnblnk1(aa))
         ENDIF 
c
          CALL histdef(nid_nmc, "t"//bb,
     .                 "Temperature"//bb//"mb","K",
     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
         CALL histdef(nid_nmc, "phi"//bb,
     .                "Geopotential"//bb//"mb", "m2/s2",
     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
          CALL histdef(nid_nmc, "q"//bb,
     .                 "Specific humidity"//bb//"mb","kg/kg",
     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
         CALL histdef(nid_nmc, "rh"//bb,
     .                 "Relative humidity"//bb//"mb", "%",
     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
          CALL histdef(nid_nmc, "u"//bb,
     .                 "Zonal wind"//bb//"mb","K",
     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
          CALL histdef(nid_nmc, "v"//bb,
     .                 "Meridional wind"//bb//"mb","K",
     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
         ENDDO !nlevSTD
c IMIMIM 110304 END

         CALL histend(nid_nmc)
c
c        ndex2d = 0
c
      ENDIF ! fin de test sur ok_mensuel

